Bug 1080097 - [RFE] Allow editing disks details in the Disks tab
Summary: [RFE] Allow editing disks details in the Disks tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.4.0
: 4.4.0
Assignee: shani
QA Contact: meital avital
URL:
Whiteboard:
: 819477 1011446 1037507 1120121 1873660 (view as bug list)
Depends On: ovirt_refactor_disk_class_hierarchy
Blocks: 854932 1011446
TreeView+ depends on / blocked
 
Reported: 2014-03-24 16:41 UTC by wdaniel
Modified: 2020-10-07 09:49 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
In this release, it is now possible to edit the properties of a Floating Disk in the *Storage* > *Disks* tab of the Administration Portal. For example, the user can edit the *Description*, *Alias*, and *Size* of the disk.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:16:05 UTC
oVirt Team: Storage
Target Upstream Version:
sherold: Triaged+
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:16:42 UTC
oVirt gerrit 103225 0 'None' MERGED core: Add tests to UpdateVmDiskCommandTest 2021-02-19 09:52:01 UTC
oVirt gerrit 103226 0 'None' MERGED core: Use UpdateVmDiskCommand for editing floating disks 2021-02-19 09:52:01 UTC
oVirt gerrit 103227 0 'None' MERGED webadmin: Enable editing floating disks from the UI 2021-02-19 09:52:01 UTC
oVirt gerrit 111581 0 master MERGED sp: Cleanup logging in masterMigrate 2021-02-19 09:52:01 UTC

Internal Links: 1748097

Description wdaniel 2014-03-24 16:41:22 UTC
1. Customer Name
Richard Davis (PGDS UK Limited)

2. What is the nature and description of the request? 
I would like an Edit button and menu item to be added to disk under the Disks view.
At the moment, the only place to edit disk details is from the Virtual Machine view

3. Why does the customer need this? (List the business requirements here) 
The obvious place to edit disks details is under the Disks view.

4. How would the customer like to achieve this? 
See above

5. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented. 

6. Is there already an existing RFE upstream or in Red Hat bugzilla? 
RHEV bugzillas are all private to Redhat. No idea

7. How quickly does this need resolved? 
3.4

8. List the affected packages 
No idea

9. Would the customer be able to assist in testing this functionality if implemented? 
Yes

Comment 4 Allon Mureinik 2014-07-17 06:21:13 UTC
*** Bug 1120121 has been marked as a duplicate of this bug. ***

Comment 6 Allon Mureinik 2015-01-24 10:04:24 UTC
*** Bug 819477 has been marked as a duplicate of this bug. ***

Comment 9 Tal Nisan 2015-05-06 10:20:24 UTC
*** Bug 1037507 has been marked as a duplicate of this bug. ***

Comment 11 Allon Mureinik 2015-11-12 14:48:10 UTC
*** Bug 1011446 has been marked as a duplicate of this bug. ***

Comment 18 spower 2018-07-03 10:51:12 UTC
We agreed to remove RFEs component from Bugzilla, if you feel the component has been renamed incorrectly please reach out.

Comment 19 Rich Davis 2018-10-15 23:04:39 UTC
(In reply to spower from comment #18)
> We agreed to remove RFEs component from Bugzilla, if you feel the component
> has been renamed incorrectly please reach out.

Hi - Please forgive me. I am not sure I understand the last comment regarding component renaming.

Is there any update on this. It's still the same in RHV4.2 and this was raised 4 years ago.

Thank you

Comment 20 Olimp Bockowski 2018-10-24 08:44:39 UTC
Hello Rich, 
it was just a detail of BZ. In the past the "component" was called RFE, now it is the exact name, like ovirt-node, ovirt-engine etc.

Comment 22 Sandro Bonazzola 2019-01-28 09:41:44 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 25 Avihai 2019-08-12 08:15:41 UTC
Is this enhancement meant only for Webadmin or is this also for RESTAPI ?

We(QE) need to know to prepare additional automation if RESTAPI is involved.

Comment 26 shani 2019-08-12 08:24:27 UTC
All platforms - UI and RESTAPI - should be involved.
Still, work on progress.

Comment 28 RHV bug bot 2019-12-13 13:13:36 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 29 RHV bug bot 2019-12-20 17:43:33 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 30 RHV bug bot 2020-01-08 14:48:16 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 31 RHV bug bot 2020-01-08 15:14:16 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 34 Daniel 2020-01-14 08:06:37 UTC
Verified both on web admin and api. Checked on engine version: 4.4.0-0.9.master.el7.
Edit floating disks is now available as requested and expected.

Comment 35 RHV bug bot 2020-01-24 19:50:03 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 42 errata-xmlrpc 2020-08-04 13:16:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247

Comment 43 Martin Perina 2020-09-14 13:56:32 UTC
*** Bug 1873660 has been marked as a duplicate of this bug. ***

Comment 44 Rich Davis 2020-10-06 21:57:40 UTC
Awesome work :)  Thank you


Note You need to log in before you can comment on or make changes to this bug.